Package org.spongepowered.asm.util.asm

## Class MethodNodeEx

- java.lang.Object
- - org.objectweb.asm.MethodVisitor
  - - org.objectweb.asm.tree.MethodNode
    - - org.spongepowered.asm.util.asm.MethodNodeEx

    public class MethodNodeEx
    extends org.objectweb.asm.tree.MethodNode

MethodNode with some extra convenience functionality

### Field Summary

### Fields inherited from class org.objectweb.asm.tree.MethodNode

`access, annotationDefault, attrs, desc, exceptions, instructions, invisibleAnnotableParameterCount, invisibleAnnotations, invisibleLocalVariableAnnotations, invisibleParameterAnnotations, invisibleTypeAnnotations, localVariables, maxLocals, maxStack, name, parameters, signature, tryCatchBlocks, visibleAnnotableParameterCount, visibleAnnotations, visibleLocalVariableAnnotations, visibleParameterAnnotations, visibleTypeAnnotations`

### Fields inherited from class org.objectweb.asm.MethodVisitor

`api, mv`

### Constructor Summary

Constructors
`MethodNodeEx​(int access, java.lang.String name, java.lang.String descriptor, java.lang.String signature, java.lang.String[] exceptions, IMixinInfo owner)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.String` `getName​(org.objectweb.asm.tree.MethodNode method)`
`java.lang.String` `getOriginalName()`
`IMixinInfo` `getOwner()`
`java.lang.String` `getQualifiedName()`
`java.lang.String` `toString()`

### Methods inherited from class org.objectweb.asm.tree.MethodNode

`accept, accept, check, getLabelNode, visitAnnotableParameterCount, visitAnnotation, visitAnnotationDefault, visitAttribute, visitCode, visitEnd, visitFieldInsn, visitFrame, visitIincInsn, visitInsn, visitInsnAnnotation, visitIntInsn, visitInvokeDynamicInsn, visitJumpInsn, visitLabel, visitLdcInsn, visitLineNumber, visitLocalVariable, visitLocalVariableAnnotation, visitLookupSwitchInsn, visitMaxs, visitMethodInsn, visitMultiANewArrayInsn, visitParameter, visitParameterAnnotation, visitTableSwitchInsn, visitTryCatchAnnotation, visitTryCatchBlock, visitTypeAnnotation, visitTypeInsn, visitVarInsn`

### Methods inherited from class org.objectweb.asm.MethodVisitor

`getDelegate, visitMethodInsn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodNodeEx

    public MethodNodeEx​(int access,
                        java.lang.String name,
                        java.lang.String descriptor,
                        java.lang.String signature,
                        java.lang.String[] exceptions,
                        IMixinInfo owner)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getQualifiedName

    public java.lang.String getQualifiedName()

#### getOriginalName

    public java.lang.String getOriginalName()

#### getOwner

    public IMixinInfo getOwner()

#### getName

    public static java.lang.String getName​(org.objectweb.asm.tree.MethodNode method)